//
//  ZYJMQTTTransport.m
//  ZYJMQTTClient
//
//  Created by Christoph Krey on 05.01.16.
//  Copyright © 2016-2017 Christoph Krey. All rights reserved.
//

#import "ZYJMQTTTransport.h"

#import "ZYJMQTTLog.h"

@implementation ZYJMQTTTransport
@synthesize state;
@synthesize queue;
@synthesize streamSSLLevel;
@synthesize delegate;
@synthesize host;
@synthesize port;

- (instancetype)init {
    self = [super init];
    self.state = ZYJMQTTTransportCreated;
    return self;
}

- (void)open {
    NSLog(@"ZYJMQTTTransport is abstract class");
}

- (void)close {
    NSLog(@"ZYJMQTTTransport is abstract class");
}

- (BOOL)send:(NSData *)data {
    NSLog(@"ZYJMQTTTransport is abstract class");
    return FALSE;
}

@end
